@font-face {
    font-family: 'TS-Bold';
    src: url('/web/fonts/TaipeiSansTCBeta-Bold.ttf') format('ttf');
}
@font-face {
    font-family: 'TS-Medium';
    src: url('/web/fonts/TaipeiSansTCBeta-Medium.ttf') format('ttf');
}
@font-face {
    font-family: 'TS-Regular';
    src: url('/web/fonts/TaipeiSansTCBeta-Regular.ttf') format('ttf');
}
@font-face {
    font-family: 'DIN-Bold';
    src: url('/web/fonts/DIN-Alternate-Bold.ttf') format('ttf');
}
@font-face {
    font-family: 'LINE_Bd';
    src: url('/web/fonts/LINESeedJP_A_OTF_Bd.otf') format('otf');
}
@font-face {
    font-family: 'LINE_Rg';
    src: url('/web/fonts/LINESeedJP_A_OTF_Rg.otf') format('otf');
}
@font-face {
    font-family: 'LINE_Lt';
    src: url('/web/fonts/LINESeedJP_A_OTF_Lt.otf') format('otf');
}
@font-face {
    font-family: 'LINE_Md';
    src: url('/web/fonts/LINESeedJP_A_OTF_Md.otf') format('otf');
}
@font-face {
    font-family: 'Oswald_Lt';
    src: url('/web/fonts/Oswald-Light.ttf');
}
@font-face {
    font-family: 'Oswald_Rg';
    src: url('/web/fonts/Oswald-Regular.ttf');
}
:root{
    --darkRed: #a83300;
    --brown: #6b512e;
    --mainWhite: #f9f9f5;
    --lightGray: #ededed;
    --mindleGray: #a1a1a1;
    --width80: 80%;
    --storeCardBg: #8a847c;
    --storeBg: #f9f8f4;
    --cartColor: #ddd8c3;
}

body{
    color: #fff;
    height: 100vh;
}
/*Index*/
body.index{
    background: url('/images/indexBg.jpg') no-repeat center center fixed;
    background-size: cover;
}
.index-content{
    position: relative;
    width: 100%;
    height: 100vh;
    p {
        font-family: 'TS-Bold';
        font-size: 1.2rem;
        margin: 0 auto;
        font-weight: 600;
        letter-spacing: 7px;
        margin-bottom: 50px;
        line-height: 1.8;
    }
}
video{
    position: absolute;
    width: 100%;
    height: 100vh;
    z-index: 1;
    object-fit: cover;
}
.content-text{
    position: absolute;
    z-index: 3;
    top: 10vh;
    bottom: 0;
    left: 0;
    right: 0;
}
.h1{
    margin-bottom: 35px;
}
.h1 img{
    width: 64%;
}
.desOne{
    display: block;
    width: 60%;
}
.link-group{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 50px;
}
.btn-lightGray{
    font-family: 'TS-Bold';
    background: #d5d5d5;
    font-weight: 900;
    font-size: 1.3rem;
    border-radius: 50px;
    width: 47%;
    padding: 10px 20px;
    margin: 5px;
    text-align: center;
    letter-spacing: 1px;
    &:hover{
        background: var(--lightGray);
        color: #000;
    }
}
/*Search*/
body.sort{
    background: url('/images/2-bg.jpg') no-repeat center center fixed;
    background-size: cover;
    height: 100vh;
    padding-top: 125px;
}
.sort-title{
    font-family: 'TS-Regular';
    font-size: 2.7rem;
    font-weight: 400;
    letter-spacing: 12px;
    margin-bottom: 90px;
}
.box{
    width: 350px;
    height: 350px;
    display: inline-block;
    border-radius: 50px;
    margin: 0 36px;
    border: 13px solid #ccc5b1;
    box-shadow: 0 0 1px #fff inset, 0 0 2px #fff inset, 0 0 3px #fff inset, 0 0 3px #fff inset;
    a{
        width: 60%;
        display: block;
        margin: 225px auto 0 auto;
        padding: 13px 0;
        font-size: 1.4rem;
        font-weight: 600;
        letter-spacing: 5px;
        border-radius: 50px;
    }
}
.box1{
    background: #ccc5b1 url('/images/2-brush.png') no-repeat center 85px;
    background-size: 24%;
    margin-bottom: 30px;
}
.box2{
    background: #ccc5b1 url('/images/2-house.png') no-repeat center 85px;
    background-size: 31%;
}
.backHome{
    width: 275px;
    border-radius: 50px;
    background: rgba(0 0 0 / .5) url('/images/2-home.png') no-repeat center 20px;
    background-size: 13%;
    display: block;
    margin: 50px auto 0 auto;
    padding: 60px 0 10px 0;
    color: rgba(255 255 255 / .6);
    &:hover{
        background-color: rgba(0 0 0 / .7);
    }
}
/* food */
body.inside{
    background: url('/images/3-bg.jpg') repeat-y center center fixed;
    background-size: cover;
    height: 100vh;
}
.header{
    height: 140px;
    background: url('/images/logo.jpg') no-repeat center top;
    background-size: 12%;
    margin-bottom: 15px;
}
.inside .container-fluid{
    max-width: 1536px;
    padding: 0 70px;
}
.foodBox{
    padding-bottom: 150px;
}
.food-head{
    width: 100%;
    display: flex;
    justify-content: space-between;
    font-size: 1.2rem;
    color: var(--brown);
    .check{
        font-family: 'LINE_Bd';
        display: flex;
        justify-content: space-between;
        align-items: center;
        .text{
            font-weight: 600;
            margin-right: 10px;
            letter-spacing: 3px;
            white-space:nowrap
        }
        a{
            width: 73px;
            height: 38px;
            display: block;
            border-radius: 20px;
            background: var(--brown);
            position: relative;
            z-index: 1;
            &::before{
                position: absolute;
                content: '';
                width: 30px;
                height: 30px;
                border-radius: 50%;
                background: #fff;
                z-index: 2;
                right: 5px;
                top: 4px;
            }
            &.store{
                background: #fff;
                &::before{
                    background: var(--brown);
                    left: 5px;
                }
            }
        }
    }
}
.food-title{
    width: 200px;
}
.food-body{
    padding-top: 25px;
}
.card{
    width: calc(100% - 30px);
    margin: 0 15px;
}
.img-container{
    height: 230px;
    overflow: hidden;
    img{
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}
.card-body{
    .footer{
        justify-content: space-between;
        font-size: 2.3rem;
    }
    .price{
        /* font-family: 'DIN-Bold'; */
        font-family: 'Oswald_Rg';
        margin-bottom: 0;
        color: var(--darkRed);
        letter-spacing: 2px;
        > span{
            font-size: 1.8rem;
        }
    }
    a.add{
        width: 45px;
        height: 45px;
        border-radius: 50%;
        display: block;
        text-decoration: none;
        color: #fff;
        background: var(--darkRed);
        position: relative;
        top: 6px;
        &::before{
            content: '+';
            position: absolute;
            left: 26%;
            top: -7px;
        }
    }
}
.card-title, .card-text{
    font-family: 'TS-Bold';
}
.card-title{
    font-size: 1.05rem;
    font-weight: bold;
}
.card-text{
    font-size: .85rem;
}
.slick-dots li button:before{
    font-size: 20px;
}
.slick-dots li{
    top: 50px;
    margin: 0 10px;
}
.slick-dots li.slick-active button:before{
    color: #4b3416;
}

.food-footer{
    width: 80%;
    background: var(--mainWhite);
    border-radius: 60px;
    position: fixed;
    bottom: 20px;
    left: 48%;
    transform: translateX(-50%);
    ul{
        padding-left: 0;
        margin-bottom: 10px;
    }
    li{
        display: inline-block;
        width: 32.35%;
        text-align: center;
        position: relative;
        & ~ li::before{
            content: '';
            position: absolute;
            width: 1px;
            height: 70%;
            background: var(--brown);
            left: 0;
            top: 32%;
        }
        a{
            font-family: 'TS-Medium';
            display: block;
            height: 90px;
            text-decoration: none;
            color: var(--brown);
            padding-top: 80px;
            font-size: 1.2rem;
            &:hover{
                color: var(--brown);
            }
        }
        &:nth-child(1) a{
            background: url('/images/3-search.png') no-repeat center 20px;
            background-size: 13%;
            color: var(--brown);
        }
        &:nth-child(2) a{
            background: url('/images/3-home.png') no-repeat center 22px;
            background-size: 12%;
        }
        &:nth-child(3) a{
            background: url('/images/3-order.png') no-repeat center 15px;
            background-size: 27%;
            position: relative;
        }
        & > span{
            width: 33px;
            height: 33px;
            border-radius: 50%;
            background: var(--darkRed);
            color: #fff;
            display: block;
            position: absolute;
            z-index: 5;
            text-align: center;
            right: 35%;
            top: 10px;
            font-family: 'DIN-Bold';
            font-size: 1.35rem;
        }
    }
}
.foodDetail{
    .food-title{
        width: 130px;
        margin-left: 25px;
    }
    .food-footer{
        /* position: relative;
        bottom: 50px; */
        margin: 100px auto 0 auto;
    }
}
.img-detail img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.foodDescription{
    font-family: 'LINE_Bd';
    .content{
        background: #fff;
        color: #000;
        > div{
            padding: 20px 30px;
        }
        
        .title{
            font-size: 1.5rem;
            font-weight: 900;
        }
        .desc{
            font-size: 1.1rem;
            font-weight: bold;
            height: 90px;
            overflow: scroll;
            margin-bottom: 5px;
        }
        textarea{
            width: 100%;
            height: 70px;
            padding: 25px;
            border-radius: 15px;
            border: none;
            background: var(--lightGray);
        }
    }
}
.actionBox{
    font-family: 'DIN-Bold';
    display: flex;
    justify-content: space-between;
    font-size: 1.2rem;
    margin-top: 20px;
    .form-select{
        font-weight: bold;
        width: 120px;
        border: none;
        border-radius: 50px;
        background: var(--lightGray);
        padding-left: 30px;
        font-size: 1.5rem;
        position: relative;
        &::before{
            position: absolute;
            content: '\f0dd';
            z-index: 1;
            width: 20px;
            height: 20px;
        }
    }
    button{
        width: 200px;
        padding: 10px 40px;
        border-radius: 50px;
        background: var(--darkRed);
        color: #fff;
        font-size: 1.2rem;
        letter-spacing: 2px;
        font-weight: 700;
    }
}
.modal-content{
    border-radius: 0;
    padding: 50px 50px;
}
.modal-dialog{
    max-width: 50vw;
}
.checkAddOrder{
    font-family: 'LINE_Bd';
    img{
        width: 90px;
        margin-bottom: 15px;
    }
    p{
        font-weight: 900;
        color: #000;
        font-size: 2.4rem;
        margin-bottom: 50px;
    }
    button, a.btn{
        width: 250px;
        font-weight: bold;
        font-size: 1.5rem;
        color: #fff;
        letter-spacing: 2px;
        border-radius: 50px;
        padding: 15px 40px;
        margin: 0 10px;
    }
    .btn-danger{
        background: var(--darkRed);
        margin-bottom: 10px;
    }
}
#searchFood{
    .modal-dialog{
        max-width: 85vw;
    }
}
.searchFood {
    background-color: transparent;
    .modal-body{
        background: #fff;
        padding: 0;
        height: 70px;
        border-radius: 50px;
    }
    input{
        border-radius: 40px 0 0 40px;
        height: 70px;
        border: none;
        padding: 15px 40px;
        font-size: 2.2rem;
    }
    button{
        position: relative;
        z-index: 1;
        width: 250px;
        border-radius: 40px;
        background: var(--darkRed);
        font-size: 1.8rem;
    }
}
.input-group>:not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
    border-top-left-radius: 40px;
    border-bottom-left-radius: 40px;
}
/* store */
.card-body.store{
    height: 190px;
    background: var(--storeCardBg);
    color: #fff;
    .card-title{
        font-size: 1.2rem;
    }
    .card-text{
        font-size: 1rem;
        letter-spacing: 1px;
        text-align: justify;
    }
}
.foodDetail.store{
    margin-top: -50px;
}
.storeFood{
    height: 65vh;
    background: var(--storeBg);
    color: #000;
    overflow: scroll;
    border-radius: 40px;
    position: relative;
    &::after{
        position: absolute;
        content: '';
        width: 100%;
        height: 50px;
    }
    .btn{
        font-family: 'TS-Bold';
        font-weight: bold;
        font-size: 1.5rem;
        background: var(--darkRed);
        margin: 15px 30px 0px;
        border-radius: 50px;
        padding: 15px;
    }
}
.storeHeader{
    display: flex;
    background: none;
    .title{
        font-family: 'TS-Bold';
        font-weight: 900;
        font-size: 1.8rem;
    }
    .logo{
        margin-left: 40px;
    }
    .desc{
        width: 80%;
        margin-left: 20px;
        font-family: 'LINE_Bd';
        font-weight: 900;
        font-size: 1.25rem;
        padding: 20px 30px 20px 20px;
    }
    img{
        width: 200px;
        border-radius: 0 0 30px 30px;
    }
}
.storeBody{
    padding: 15px;
    display: flex;
    flex-wrap: wrap;
    gap: 0 28px;
    width: 100%;
}
.foodItem{
    width: 46.3%;
    margin: 0 0 15px 1.8%;
    display: flex;
    .img-box{
        width: 200px;
        height: 120px;
        overflow: hidden;
    }
    img{
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .item{
        background: #fff;
        width: 100%;
        padding: 15px 15px 5px;
        .title{
            font-family: 'TS-Bold';
            font-weight: 900;
            font-size: 1.5rem;
        }
    }
    .priceGroup{
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        margin-top: 10px;
        .price{
            font-family: 'Oswald_Rg';
            font-weight: bold;
            font-size: 2.5rem;
            letter-spacing: 2px;
            span{
                font-size: 2rem;
            }
        }
    }
}
.numChang{
    font-family: 'TS-Bold';
    font-weight: bold;
    font-size: 2.5rem;
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-align: center;
    span{
        font-size: 2rem;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 45px;
        height: 45px;
        border-radius: 50%;
        background: var(--darkRed);
        color: #fff;
    }
    .decrease{
        background: var(--mindleGray);
    }
}
.quantity{
    font-family: 'Oswald_Rg';
    width: 90px;
    border: none;
    text-align: center;
}
/* cart */
.container-fluid.cart{
    position: relative;
    .food-head{
        margin-bottom: 15px;
    }
}
.container-fluid.cart::before{
    content: '';
    position: absolute;
    z-index: 2;
    width: 91%;
    height: 50px;
    bottom: 0;
    background: url('/images/7-opacityBgDown.png') no-repeat center 0px;
}
.cart-content{
    height: 64vh;
    overflow-x: hidden;
    overflow-y: scroll;
    .food-head{
        margin-bottom: 15px;
    }
    .storeFood{
        height: auto;
        overflow: unset;
    }
}
.cartHeader{
    display: flex;
    align-items: center;
    padding: 20px 50px 0 45px;
    img{
        width: 35px;
        height: 35px;
        margin-right: 15px;
    }
    .title{
        font-family: 'TS-Bold';
        font-weight: bold;
        font-size: 1.8rem;
    }
}
.submitOrder{
    margin-bottom: 55px;
    text-align: center;
    .btn{
        width: 250px;
        font-family: 'TS-Bold';
        font-weight: bold;
        font-size: 1.5rem;
        background: var(--darkRed);
        margin: 15px 30px;
        border-radius: 50px;
        padding: 15px;
        &.btn-dark{
            background: #000;
        }
    }
}
.selectTableNum{
    padding: 20px;
    margin: 0 20px;
    border-bottom: 2px solid var(--cartColor);
    font-family: 'TS-Bold';
    font-weight: bold;
    font-size: 1.8rem;
    .selectGroup{
        width: 270px;
        margin: 0 auto;
        position: relative;
    }
    select{
        border: 2px solid var(--cartColor);
        border-radius: 50px;
        padding: 10px 50px;
        font-family: 'TS-Bold';
        font-weight: bold;
        font-size: 2rem;
        /* hidden arrow */
        appearance: none; 
        -webkit-appearance: none;
        -moz-appearance: none;
        background: transparent;
        color: var(--darkRed);
    }
    .arrow{
        font-size: 3rem;
        color: #9a9582;
        position: absolute;
        z-index: 2;
        right: 30px;
        top: -7px;
    }
}
@media screen and (max-width: 1450px) {
    .container-fluid.cart{
        top: -40px;
    }
    .storeFood{
        height: 60vh;
    }
}
@media screen and (max-width: 1200px) {
    .container-fluid.cart{
        top: -70px;
    }
    .card-body.store {
        .card-text {
            font-size: .85rem;
        }
    }
    .foodDetail.store {
        margin-top: -60px;
    }
    .foodBox.cart{
        margin-top: -65px;
    }
    .storeBody{
        zoom: 0.8;
    }
}
@media screen and (max-width: 1025px){
    body.sort{
        padding-top: 70px;
    }
    .container-fluid.cart{
        top: -40px;
    }
    .header{
        height: 120px;
        background-size: 15%;
    }
    .slick-dots li {
        top: 30px;
    }
    .food-footer{
        /* width: 90%; */
        /* left: 5%;
        right:  5%; */
        li{
            &:nth-child(1) a{
                background: url('/images/3-search.png') no-repeat center 15px;
                background-size: 16%;
            }
            &:nth-child(2) a{
                background: url('/images/3-home.png') no-repeat center 17px;
                background-size: 15%;
            }
            &:nth-child(3) a{
                background: url('/images/3-order.png') no-repeat center 15px;
                background-size: 32%;
                position: relative;
            }
        }
    }
    .card {
        width: calc(100% - 28px);
        margin: 0px 14px;
    }
    .inside .container-fluid {
        padding: 0 50px;
    }
    .cart-content{
        height: 60vh;
    }
    .priceGroup{
        zoom: 0.85;
    }
}
@media screen and (max-width: 780px) {
    .foodItem{
        width: 100%;
    }
}
@media screen and (max-width: 576px) {
    body.sort{
        padding-top: 55px;
    }
    .sort-title{
        margin-bottom: 50px;
    }
    .box{
        width: 80%;
        height: 300px;
        a{
            margin: 200px auto 0 auto;
        }
    }
    .box1 {
        background: #ccc5b1 url(/images/2-brush.png) no-repeat center 70px;
        background-size: 24%;
    }
    .box2 {
        background: #ccc5b1 url(/images/2-house.png) no-repeat center 70px;
        background-size: 31%;
    }
    .slick-dots{
        display: none;
    }
    .backHome{
        margin: 30px auto;
    }
    .header{
        background-size: 30%;
        height: 100px;
        margin-bottom: 0;
    }
    .inside .container-fluid {
        padding: 0 15px;
    }
    .foodBox{
        margin-top: 10px;
    }
    .food-title {
        width: 140px;
    }
    .foodDetail {
        .food-title {
            width: 90px;
            margin-left: 5px;
        }
    }
    .foodDescription{
        overflow-y: scroll;
        min-height: 700px;
        .row{
            margin: 0 auto;
        }
    }
    .slick-prev {
        left: -5px;
    }
    .slick-next {
        right: -5px;
    }
    .food-footer{
        width: 90%;
        left: 48%;
        & li {
            &:nth-child(1) a {
                background: url(/images/3-search.png) no-repeat center 15px;
                background-size: 30%;
            }
            &:nth-child(2) a {
                background-size: 25%;
            }
            &:nth-child(3) a {
                background-size: 50%;
            }
            & > span {
                right: 17%;
            }
            a{
                padding-top: 65px;
            }
        }
    }
    .storeHeader {
        display: block;
        .logo {
            margin-left: 0;
            text-align: center;
        }
        .desc {
            width: 100%;
            margin-left: 10px;
        }
    }
    .storeFood {
        height: 74vh;
    }
    .foodItem{
        margin: 0 0 15px 0px;
        width: 100%;
    }
    .card{
        width: 90%;
        margin: 0 5%;
    }
    .modal-dialog {
        max-width: 96vw;
    }
    .container-fluid.cart {
        top: 0;
    }
    .cart-content {
        height: 65vh;
    }
    #searchFood {
        .modal-dialog {
            max-width: 96vw;
        }
    }
    .searchFood {
        input {
            padding: 15px 10px 15px 30px;
            border-radius: 50px;
        }
    }
    .input-group{
        display: block;
        >.form-control {
            margin-bottom: 15px;
            width: 88%;
        }
    }
}

@media screen and (max-width: 395px) {
    .foodItem {
        width: 100%;
        img {
            width: 134px;
            object-fit: cover;
        }
    }
}

.foodList {
    margin: 50px 0;
    &::after {
        position: absolute;
        content: '';
        width: 100%;
        height: 50px;
    }

    .btn {
        font-family: 'TS-Bold';
        font-weight: bold;
        font-size: 1.5rem;
        background: var(--darkRed);
        margin: 15px 30px 0px;
        border-radius: 50px;
        padding: 15px;
    }
}
